# -*- coding: utf-8 -*-

[attachment]
max_size = 26214400
render_unsafe_content = false

[browser]
downloadable_paths = /trunk, /branches/*, /tags/*
hide_properties = svk:merge
render_unsafe_content = false

[changeset]
max_diff_bytes = 10000000
max_diff_files = 0
wiki_format_messages = true

[components]
tracmath.* = enabled
tracspamfilter.* = enabled

[header_logo]
alt = 
height = -1
link = http://caca.zoy.org/
src = /static/christmas-logo.png
width = -1

[logging]
log_file = trac.log
log_level = INFO
log_type = file

[mainnav]
newticket.label = Report a bug
tickets.href = /report/1
tickets.label = Bug reports
wiki.label = Home
roadmap = disabled

[mimeviewer]
enscript_modes = text/x-dylan:dylan:4
enscript_path = enscript
max_preview_size = 2621440
mime_map = text/x-dylan:dylan,text/x-idl:ice,text/x-ada:ads:adb
php_path = php
silvercity_modes = 
tab_width = 8

[notification]
always_notify_owner = false
always_notify_reporter = false
always_notify_updater = false
mime_encoding = qp
smtp_always_bcc = 
smtp_always_cc = libcaca-trac@lists.zoy.org
smtp_default_domain = 
smtp_enabled = true
smtp_from = sam+trac@zoy.org
smtp_from_name = Caca Labs Trac
smtp_password = 
smtp_port = 25
smtp_server = localhost
smtp_subject_prefix = 
smtp_user = 
use_public_cc = true
use_short_addr = false
use_tls = false

[project]
descr = Caca Labs
footer = Visit the Caca Labs at<br /><a href="http://caca.zoy.org/">http://caca.zoy.org/</a>
icon = /favicon.ico
name = Caca Labs
url = http://caca.zoy.org/

[search]
min_query_length = 3

[ticket]
default_component = core
default_milestone = 1.0
default_priority = major
default_type = defect
default_version = SVN
restrict_owner = false

[ticket-custom]
product = select
product.label = Product
product.options = libcaca|libpipi|--|cacadraw|cacamoo|cacatris|cacaview|img2txt|neercs|PWNtcha|powerpipo|toilet|ttyvaders|zzuf|--|web site
product.value = libcaca

[ticket-workflow]
accept = new -> assigned
accept.operations = set_owner_to_self
accept.permissions = TICKET_MODIFY
leave = * -> *
leave.default = 1
leave.operations = leave_status
reassign = new,assigned,reopened -> new
reassign.operations = set_owner
reassign.permissions = TICKET_MODIFY
reopen = closed -> reopened
reopen.operations = del_resolution
reopen.permissions = TICKET_CREATE
resolve = new,assigned,reopened -> closed
resolve.operations = set_resolution
resolve.permissions = TICKET_MODIFY

[timeline]
changeset_long_messages = false
changeset_show_files = 0
default_daysback = 30
ticket_show_details = false

[trac]
authz_file = 
authz_module_name = 
base_url = http://caca.zoy.org/
check_auth_ip = true
database = sqlite:db/trac.db
default_charset = utf-8
default_handler = WikiModule
htdocs_location = 
ignore_auth_case = false
mainnav = wiki,discussion,timeline,tickets,newticket,browser,search
metanav = login,logout,settings,help,about
permission_store = DefaultPermissionStore
repository_dir = /srv/caca.zoy.org/var/lib/svn
repository_type = svn
show_email_addresses = true
timeout = 20

[tracmath]
cache_dir = /srv/caca.zoy.org/var/lib/trac/cache

[wiki]
ignore_missing_pages = false
split_page_names = false

[discussion]
title = Forums
default_display = tree
forum_sort = id
forum_sort_direction = asc
topic_sort = id
topic_sort_direction = asc

